# Update card status

Update the status of a card. For cards issued with an INACTIVE status, updating to ACTIVE will activate the card and move the card order status to COMPLETED.

Available status transitions:
- ACTIVE - The card is active and usable
- FROZEN - The card is temporarily frozen; all authorization requests will be declined
- BLOCKED - The card is irreversibly blocked and is no longer usable

Endpoint: PUT /v3/spend/profiles/{profileId}/cards/{cardToken}/status
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The ID of the profile that owns the card.
    Example: 123456

  - `cardToken` (string, required)
    The unique token identifying the card.
    Example: "ca0c8154-1e14-4464-a1ce-dcea7dc3de52"

## Request fields (application/json):

  - `status` (string, required)
    The status to update the card to.
    Enum: "ACTIVE", "FROZEN", "BLOCKED"

## Response 200 fields (application/json):

  - `token` (string)
    Unique identifier for the card.
    Example: "ca0c8154-1e14-4464-a1ce-dcea7dc3de52"

  - `profileId` (integer)
    Profile ID that owns this card.
    Example: 123456

  - `clientId` (string)
    Client ID of the partner that issued the card.
    Example: "wise_api_docs"

  - `status` (object)
    Current status of the card.

  - `status.value` (string)
    Status value. One of:
- ACTIVE - Card is active and can be used
- INACTIVE - Card is inactive and all transactions will be declined
- BLOCKED - Card is blocked and cannot be reversed back to any state
- FROZEN - Card is temporarily blocked
- PARTNER_SUSPENDED - Card is suspended by Wise temporarily (do not display to end customers)
- EXPIRED - Card is expired
- PURGED - Cardholder data (e.g. PAN, PIN) has been purged after the retention period (555 days after the card's expiry date)
    Enum: "ACTIVE", "INACTIVE", "BLOCKED", "FROZEN", "PARTNER_SUSPENDED", "EXPIRED", "PURGED"

  - `cardHolderName` (string)
    Name of the card holder.
    Example: "John Smith"

  - `expiryDate` (string)
    Date when the card will expire.
    Example: "2028-05-31T00:00:00Z"

  - `lastFourDigits` (string)
    Last 4 digits of the card number.
    Example: "6320"

  - `bankIdentificationNumber` (string)
    Bank identification number (BIN) of the card.
    Example: "459661"

  - `phoneNumber` (string)
    Phone number associated with the card.
    Example: "+441234567890"

  - `cardProgram` (object)
    Card program details.

  - `cardProgram.name` (string)
    Name of the card program.
    Example: "VISA_DEBIT_BUSINESS_UK_1"

  - `cardProgram.scheme` (string)
    Card network scheme.
    Enum: "VISA", "MASTERCARD"

  - `cardProgram.defaultCurrency` (string)
    Default currency of the card.
    Example: "GBP"

  - `cardProgram.cardType` (string)
    Type of the card. E.g. PHYSICAL or VIRTUAL.
    Example: "VIRTUAL"

  - `unlockSpendingPermissions` (string)
    Method with which physical card spending permissions can be unlocked. One of:
- WITH_PARTNER_API - Unlock via Partner API
- WITH_FIRST_CHIP_AND_PIN_TRANSACTION - Unlock with first chip and PIN transaction
- NONE - Not applicable (for virtual cards)
    Enum: "WITH_PARTNER_API", "WITH_FIRST_CHIP_AND_PIN_TRANSACTION", "NONE"

  - `creationTime` (string)
    Time when the card was created.
    Example: "2022-05-31T01:43:24.596321434Z"

  - `modificationTime` (string)
    Time when the card was last modified.
    Example: "2022-05-31T01:43:24.596321825Z"


